Package ru.bgcrm.struts.form

# Class ArrayHashMap

java.lang.Object
java.util.AbstractMap<String,Object>
java.util.HashMap<String,Object>
ru.bgcrm.struts.form.ArrayHashMap

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<String,Object>`

public class ArrayHashMap extends HashMap<String,Object>
Map for storing HTTP request parameters, for a string key may be presented multiple values. In the fact values are stored as String[], the second Object generic is used only to return String in the overwritten `get(Object)` method.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ArrayHashMap()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `get(Object key)`
  Returns a single string value for a key
  `String`
  `get(String key)`
  Returns a single value for a key
  `String[]`
  `getArray(String key)`
  Returns a raw string array value for a key
  `Object`
  `put(String arg0, Object arg1)`
  `void`
  `putAll(Map<? extends String,?> arg0)`
  `void`
  `putArray(String name, String[] value)`
  Stores a raw string array value for a key
  `void`
  `putArrays(Map<String,String[]> values)`
  Stores multiple values for multiple keys
  `void`
  `setLogTrackingId(String value)`
  Sets log tracking ID identifier.

  ### Methods inherited from class java.util.HashMap

  `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, getOrDefault, isEmpty, keySet, merge, newHashMap, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `equals, hashCode`

- ## Constructor Details

  - ### ArrayHashMap

    public ArrayHashMap()

- ## Method Details

  - ### setLogTrackingId

    public void setLogTrackingId(String value)
    Sets log tracking ID identifier.
    Parameters:
      `value` -

  - ### put

    public Object put(String arg0, Object arg1)
    Specified by:
      `put` in interface `Map<String,Object>`
    Overrides:
      `put` in class `HashMap<String,Object>`

  - ### putAll

    public void putAll(Map<? extends String,?> arg0)
    Specified by:
      `putAll` in interface `Map<String,Object>`
    Overrides:
      `putAll` in class `HashMap<String,Object>`

  - ### get

    public Object get(Object key)
    Returns a single string value for a key
    Specified by:
      `get` in interface `Map<String,Object>`
    Overrides:
      `get` in class `HashMap<String,Object>`
    Parameters:
      `key` - the key
    Returns:
      the value or `null`

  - ### get

    public String get(String key)
    Returns a single value for a key
    Parameters:
      `key` - the key
    Returns:
      the value or `null`

  - ### getArray

    public String[] getArray(String key)
    Returns a raw string array value for a key
    Parameters:
      `key` - the key
    Returns:
      the values array or `null`

  - ### putArray

    public void putArray(String name, String[] value)
    Stores a raw string array value for a key
    Parameters:
      `name` - the key
      `value` - the value

  - ### putArrays

    public void putArrays(Map<String,String[]> values)
    Stores multiple values for multiple keys
    Parameters:
      `values` - the key-value map